<script lang="ts">
import Vue from 'vue';
import { SlpContainer } from '../../components/common/index';
import { getPageMetadata } from '../../common/meta';
import { CEOrEE as CeOrEe, Header } from '~/components/ce-or-ee/index';

export default Vue.extend({
  components: {
    CeOrEe,
    Header,
    SlpContainer,
  },
  async asyncData({ $content, params }: any) {
    const doc = await $content('install/ce-or-ee', params.slug).fetch();
    return { doc };
  },
  head() {
    return getPageMetadata(this.doc, this.$route.path);
  },
});
</script>

<template>
  <div>
    <SlpContainer>
      <Header :data="doc.header" />
    </SlpContainer>
    <section>
      <CeOrEe :data="doc.editions" />
    </section>
  </div>
</template>
